<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: environment.Environment Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classenvironment_1_1_environment.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classenvironment_1_1_environment-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">environment.Environment Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for environment.Environment:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classenvironment_1_1_environment.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a465c49743db4e55fbb2d9e4519303830"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#a465c49743db4e55fbb2d9e4519303830">__init__</a> (self, tuple <a class="el" href="classenvironment_1_1_environment.html#aa9229d416dcd19021e4a23471b7c8e45">sim_time_offset</a>, str <a class="el" href="classenvironment_1_1_environment.html#aecf0876ef8dcfec96a410e8519f3cfde">database</a>, float <a class="el" href="classenvironment_1_1_environment.html#a338bc0c0906ddd666c782f6b3c4f9f23">sampling_rate</a>, outputs)</td></tr>
<tr class="separator:a465c49743db4e55fbb2d9e4519303830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94a3fa67ed30ecdffaa61b4f6f1bdfbd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#a94a3fa67ed30ecdffaa61b4f6f1bdfbd">calc_mag_field</a> (self, sim_time, bool commit=True)</td></tr>
<tr class="separator:a94a3fa67ed30ecdffaa61b4f6f1bdfbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a704d747552b25f3c1ab37f632f2abc88"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#a704d747552b25f3c1ab37f632f2abc88">calc_atmospheric_density</a> (self, sim_time)</td></tr>
<tr class="separator:a704d747552b25f3c1ab37f632f2abc88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96bfd402aea6a500cd15e166df8441cc"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#a96bfd402aea6a500cd15e166df8441cc">calc_solar_pressure</a> (self, sim_time)</td></tr>
<tr class="separator:a96bfd402aea6a500cd15e166df8441cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a229bd64ddf7f24d007be9858db8167ec"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#a229bd64ddf7f24d007be9858db8167ec">earth_to_sun</a> (self, sim_time, commit=True)</td></tr>
<tr class="separator:a229bd64ddf7f24d007be9858db8167ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6e8d0b03e127c5b8bd93b6a0b90d3b7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#ad6e8d0b03e127c5b8bd93b6a0b90d3b7">is_in_shadow</a> (self, sim_time, commit=True)</td></tr>
<tr class="separator:ad6e8d0b03e127c5b8bd93b6a0b90d3b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36712ec52f082b49ab801bcce1ebaf3d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#a36712ec52f082b49ab801bcce1ebaf3d">earth_disk_ellipsoid</a> (self, sim_time, commit=True)</td></tr>
<tr class="separator:a36712ec52f082b49ab801bcce1ebaf3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12ccd53aa51c211ea6516f1d8cf92911"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#a12ccd53aa51c211ea6516f1d8cf92911">propagate_environment</a> (self)</td></tr>
<tr class="separator:a12ccd53aa51c211ea6516f1d8cf92911"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa9229d416dcd19021e4a23471b7c8e45"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#aa9229d416dcd19021e4a23471b7c8e45">sim_time_offset</a></td></tr>
<tr class="separator:aa9229d416dcd19021e4a23471b7c8e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecf0876ef8dcfec96a410e8519f3cfde"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#aecf0876ef8dcfec96a410e8519f3cfde">database</a></td></tr>
<tr class="separator:aecf0876ef8dcfec96a410e8519f3cfde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a338bc0c0906ddd666c782f6b3c4f9f23"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#a338bc0c0906ddd666c782f6b3c4f9f23">sampling_rate</a></td></tr>
<tr class="separator:a338bc0c0906ddd666c782f6b3c4f9f23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa284ae2701b560f1f90d455aab3899c5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classenvironment_1_1_environment.html#aa284ae2701b560f1f90d455aab3899c5">dict_env</a></td></tr>
<tr class="separator:aa284ae2701b560f1f90d455aab3899c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a465c49743db4e55fbb2d9e4519303830" name="a465c49743db4e55fbb2d9e4519303830"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a465c49743db4e55fbb2d9e4519303830">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def environment.Environment.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">tuple&#160;</td>
          <td class="paramname"><em>sim_time_offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sampling_rate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>outputs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Environment class that sets up all the required environmental circumstances including magnetic field,
atmospheric density, solar pressure, sun position and angular components.

:param sim_time_offset: (tuple) the simulation start date and time in the form (YYYY, m, d, h, m, s)
:param database: (str) the database the environment can write to and read from
:param sampling_rate: (float) the frequency the environment creates new values and writes them into the
                                database
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a704d747552b25f3c1ab37f632f2abc88" name="a704d747552b25f3c1ab37f632f2abc88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a704d747552b25f3c1ab37f632f2abc88">&#9670;&nbsp;</a></span>calc_atmospheric_density()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def environment.Environment.calc_atmospheric_density </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>sim_time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">this very simple static model is a first approximation. altitude in km, density in kg/m^3
a more precise model should be implemented in a final version
TODO: upgrade model
</pre> 
</div>
</div>
<a id="a94a3fa67ed30ecdffaa61b4f6f1bdfbd" name="a94a3fa67ed30ecdffaa61b4f6f1bdfbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94a3fa67ed30ecdffaa61b4f6f1bdfbd">&#9670;&nbsp;</a></span>calc_mag_field()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def environment.Environment.calc_mag_field </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>sim_time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>commit</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Compute the magnetic field strength components in a TEME coordinate frame. This method requires a position
vector in the table 'position' in the database at the sim_time. It either commits the computed values to the
database or simply returns the calculated vector. You can use this to propagate the magnetic field of a whole
position table by setting sim_time to 'all'.

:param sim_time: (float) the simulation time the magnetic field is supposed to be calculated for, use 'all' for
                            calculating the entire position table
:param commit: (bool) if True, it writes into the database directly after being done, if False, it returns a
                        vector containing all three components of the magnetic field
:return: (np.ndarray) vector that contains all three components of the magnetic field in TEME coordinates
</pre> 
</div>
</div>
<a id="a96bfd402aea6a500cd15e166df8441cc" name="a96bfd402aea6a500cd15e166df8441cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96bfd402aea6a500cd15e166df8441cc">&#9670;&nbsp;</a></span>calc_solar_pressure()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def environment.Environment.calc_solar_pressure </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>sim_time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">returns the amount of solar radiation pressure at the position. only considers light
coming directly from the sun.
from: Fundamentals of Spacecraft Attitude Determination and Control
by f. Markley and John Crassidis Appendix D.3
</pre> 
</div>
</div>
<a id="a36712ec52f082b49ab801bcce1ebaf3d" name="a36712ec52f082b49ab801bcce1ebaf3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36712ec52f082b49ab801bcce1ebaf3d">&#9670;&nbsp;</a></span>earth_disk_ellipsoid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def environment.Environment.earth_disk_ellipsoid </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>sim_time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>commit</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Calculate the earth disk radius of a WGS84 ellipsoid which can be seen from the earth sensor.
This method only requires a sim_time. It either commits the computed values to the database or simply returns
the calculated vector.

:param sim_time: (float) the simulation time at which the Earth Disk Radius is supposed to be calculated. Set to
                            'all' in order to compute the sun vector for a whole given 'position' table where
                            column 'simulation_time' is used to assign each position vector a sun vector.
:param commit: (bool) if True, computed values are directly committed to the database, if False, computed
                            values are returned
:returns: (float) the computed earth radius</pre> 
</div>
</div>
<a id="a229bd64ddf7f24d007be9858db8167ec" name="a229bd64ddf7f24d007be9858db8167ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a229bd64ddf7f24d007be9858db8167ec">&#9670;&nbsp;</a></span>earth_to_sun()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def environment.Environment.earth_to_sun </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>sim_time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>commit</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Calculate the position of the sun as a vector pointing from earth to sun. The vector is given in a TEME
coordinate system. This method only requires a sim_time. It either commits the computed values to the database
or simply returns the calculated vector. You can use this method to propagate the sun's position over a whole
'position' table by setting sim_time to 'all'.

:param sim_time: (float) the simulation time at which the sun's position is supposed to be calculated. Set to
                            'all' in order to compute the sun vector for a whole given 'position' table where
                            column 'simulation_time' is used to assign each position vector a sun vector.
:param commit: (bool) if True, computed values are directly committed to the database, if False, computed
                            values are returned
:returns: (np.ndarray) the computed sun vector(s) in TEME coordinate frame</pre> 
</div>
</div>
<a id="ad6e8d0b03e127c5b8bd93b6a0b90d3b7" name="ad6e8d0b03e127c5b8bd93b6a0b90d3b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6e8d0b03e127c5b8bd93b6a0b90d3b7">&#9670;&nbsp;</a></span>is_in_shadow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def environment.Environment.is_in_shadow </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>sim_time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>commit</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">returns a boolean describing whether the satellite is in the shadow
of the earth. uses the cylindrical shadow projection.
from: Fundamentals of Spacecraft Attitude Determination and Control
by f. Markley and John Crassidis Appendix D.3
</pre> 
</div>
</div>
<a id="a12ccd53aa51c211ea6516f1d8cf92911" name="a12ccd53aa51c211ea6516f1d8cf92911"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12ccd53aa51c211ea6516f1d8cf92911">&#9670;&nbsp;</a></span>propagate_environment()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def environment.Environment.propagate_environment </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aecf0876ef8dcfec96a410e8519f3cfde" name="aecf0876ef8dcfec96a410e8519f3cfde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecf0876ef8dcfec96a410e8519f3cfde">&#9670;&nbsp;</a></span>database</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">environment.Environment.database</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa284ae2701b560f1f90d455aab3899c5" name="aa284ae2701b560f1f90d455aab3899c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa284ae2701b560f1f90d455aab3899c5">&#9670;&nbsp;</a></span>dict_env</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">environment.Environment.dict_env</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a338bc0c0906ddd666c782f6b3c4f9f23" name="a338bc0c0906ddd666c782f6b3c4f9f23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a338bc0c0906ddd666c782f6b3c4f9f23">&#9670;&nbsp;</a></span>sampling_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">environment.Environment.sampling_rate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9229d416dcd19021e4a23471b7c8e45" name="aa9229d416dcd19021e4a23471b7c8e45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9229d416dcd19021e4a23471b7c8e45">&#9670;&nbsp;</a></span>sim_time_offset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">environment.Environment.sim_time_offset</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="environment_8py.html">environment.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceenvironment.html">environment</a></li><li class="navelem"><a class="el" href="classenvironment_1_1_environment.html">Environment</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
